Bug 1290338 - [Director] pxe_ucs Ironic drivers not working
[Director] pxe_ucs Ironic drivers not working
Status: POST
Product: Red Hat OpenStack
Classification: Red Hat
Component: os-cloud-config (Show other bugs)
7.0 (Kilo)
x86_64 Linux
high Severity high
: ---
: 8.0 (Liberty)
Assigned To: Dmitry Tantsur
mlammon
: OtherQA, Reopened, Triaged, ZStream
: 1417302 (view as bug list)
Depends On:
Blocks: 1440781 1440782
  Show dependency treegraph
 
Reported: 2015-12-10 04:32 EST by Anand Nande
Modified: 2017-10-20 07:31 EDT (History)
22 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1274579
: 1417302 (view as bug list)
Environment:
Last Closed: 2016-10-03 09:26:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 370773 None None None 2016-09-15 08:41 EDT

  None (edit)
Comment 2 Dan Macpherson 2016-03-13 19:12:16 EDT
It looks like os-cloud-config is mapping pm_addr to ucs_hostname:

https://github.com/openstack/os-cloud-config/blob/master/os_cloud_config/nodes.py#L84

However, in ironic, the ucs_helper requires ucs_address to be set. There doesn't seem to be a param called ucs_hostname anymore:

https://github.com/openstack/ironic/blob/master/ironic/drivers/modules/ucs/helper.py#L97

Got a report of this happening in https://bugzilla.redhat.com/show_bug.cgi?id=1274579
Comment 5 Lucas Alvares Gomes 2016-03-24 12:18:40 EDT
(In reply to Dan Macpherson from comment #2)
> It looks like os-cloud-config is mapping pm_addr to ucs_hostname:
> 
> https://github.com/openstack/os-cloud-config/blob/master/os_cloud_config/
> nodes.py#L84
> 
> However, in ironic, the ucs_helper requires ucs_address to be set. There
> doesn't seem to be a param called ucs_hostname anymore:
> 
> https://github.com/openstack/ironic/blob/master/ironic/drivers/modules/ucs/
> helper.py#L97
> 
> Got a report of this happening in
> https://bugzilla.redhat.com/show_bug.cgi?id=1274579

Right, that seems to be the problem indeed. I'm reassign this bug to the os-cloud-config component since the error is there.
Comment 6 Mike Burns 2016-04-07 17:00:12 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 12 Lucas Alvares Gomes 2016-09-15 08:41:36 EDT
FWIW I've upload a fix for this upstream: https://review.openstack.org/#/c/370773/
Comment 13 Lucas Alvares Gomes 2016-09-15 11:09:05 EDT
Backported to rhosp8 and 9 as well
Comment 15 Jeremy 2016-12-21 14:57:11 EST
https://github.com/openstack/os-cloud-config/blob/stable/newton/os_cloud_config/nodes.py

Newton still seems to be ucs_hostname and not ucs_address in spite of https://review.openstack.org/#/c/370773/2/os_cloud_config/nodes.py

(Not in master either) , seems the patch did not make it so we should re-open this BZ.
Comment 17 Dmitry Tantsur 2017-10-20 06:28:14 EDT
Moving to 8. I've prepared downstream backports for both 8 and 9, but I will need OtherQA on them.
Comment 18 Dmitry Tantsur 2017-10-20 07:31:52 EDT
*** Bug 1417302 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.